| BestShotMobile Bestshot making and liveness checking library

Public Member Functions | List of all members
mobile::IBestShotMobile Struct Referenceabstract

IBestShotMobile interface class. More...

`#include <IBestShotMobile.h>`

## Public Member Functions
virtual BESTSHOT_MOBILE_API bool | pushFrame (const fsdk::Image &frame, uint32_t frameId)=0
| Pushes a single frame to the buffer. More...
virtual BESTSHOT_MOBILE_API void | setBestShotMobileObserver (IBestShotMobileObserver *observer)=0
| Sets a bestshot observer. More...
virtual BESTSHOT_MOBILE_API void | join ()=0
| Blocks current thread until all frames in this Stream will be handled and all callbacks will be executed. More...
virtual BESTSHOT_MOBILE_API LivenessType | getLivenessType ()=0
| Returns current liveness type. More...

## Detailed Description

IBestShotMobile interface class.

Note
  This interface is not thread-safe!

## Member Function Documentation

## ◆ getLivenessType()

virtual BESTSHOT_MOBILE_API LivenessType mobile::IBestShotMobile::getLivenessType | ( |  | ) |
| pure virtual

Returns current liveness type.

See also
  LivenessType for details. return current liveness type.

## ◆ join()

virtual BESTSHOT_MOBILE_API void mobile::IBestShotMobile::join | ( |  | ) |
| pure virtual

Blocks current thread until all frames in this Stream will be handled and all callbacks will be executed.

Note
  Stream could not be used after join.

See also
  setBestShotObserver, setVisualObserver, setDebugObserver and setBestShotPredicate

## ◆ pushFrame()

virtual BESTSHOT_MOBILE_API bool mobile::IBestShotMobile::pushFrame | ( | const fsdk::Image & | frame,
|  | uint32_t | frameId
| ) |  |
| pure virtual

Pushes a single frame to the buffer.

Note
  You should pass consequent frames for reasonble results (thing video frames). Calls face detector and tracker, then triggers the callback for processed faces.

Parameters

  frame | input frame image. Format must be R8G8B8.
  frameId | unique identifier for frames sequence.
  data | is any additional data that a developer wants to receive in callbacks-realization. Do not use the delete-operator. The garbage collector is implemented inside for this param.

Returns
  true if frame was appended to the queue for processing, false otherwise - frame was skipped because of full queue.

## ◆ setBestShotMobileObserver()

virtual BESTSHOT_MOBILE_API void mobile::IBestShotMobile::setBestShotMobileObserver | ( | IBestShotMobileObserver * | observer | ) |
| pure virtual

Sets a bestshot observer.

Parameters

  observer | pointer to the observer object,

See also
  IBestShotMobileObserver

The documentation for this struct was generated from the following file:

- /home/gitlab-runner/builds/7foUoyzJ/0/face-recognition/FaceEngine/extern/bestshotmobile/inc/IBestShotMobile.h